NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.MeasureAngleBuilder Class Reference

Represents a NXOpen.MeasureAngleBuilder More...

Inheritance diagram for NXOpen.MeasureAngleBuilder:
NXOpen.MeasureBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  AngleType { ThreePoints, TwoObjects, ScreenPoints }
 Represents the angle type. More...
 
enum  ProjectionType { Angle3d, AngleXy, TrueAngle }
 Represents the projection type. More...
 
enum  OrientationType { InnerAngle, OuterAngle }
 Represents the orientation type More...
 
enum  ObjectType { Object, Feature, Vector }
 Represents the object type. More...
 
- Public Types inherited from NXOpen.MeasureBuilder
enum  RequirementType { None, New, Existing }
 Represents the requirement type. More...
 
enum  AnnotationType { None, ShowDimension, CreateLine, CreateCsys }
 Represents the annotation type. More...
 

Properties

unsafe NXOpen.Point BaseEnd [get, set]
 Returns or sets the end point More...
 
unsafe NXOpen.Point BasePoint [get, set]
 Returns or sets the base point More...
 
unsafe
NXOpen.SelectDisplayableObject 
Feature1 [get]
 Returns the feature1 More...
 
unsafe
NXOpen.SelectDisplayableObject 
Feature2 [get]
 Returns the feature2 More...
 
unsafe bool IsExact [get, set]
 Returns or sets the exact flag More...
 
unsafe
NXOpen.SelectDisplayableObject 
Object1 [get]
 Returns the object1 More...
 
unsafe
NXOpen.SelectDisplayableObject 
Object2 [get]
 Returns the object2 More...
 
unsafe
NXOpen.MeasureAngleBuilder.ObjectType 
Objtype1 [get, set]
 Returns or sets the otype1 More...
 
unsafe
NXOpen.MeasureAngleBuilder.ObjectType 
Objtype2 [get, set]
 Returns or sets the otype2 More...
 
unsafe
NXOpen.MeasureAngleBuilder.OrientationType 
Orientation [get, set]
 Returns or sets the orientation More...
 
unsafe NXOpen.Point ProtractorEnd [get, set]
 Returns or sets the protractor end point More...
 
unsafe
NXOpen.MeasureAngleBuilder.ProjectionType 
Ptype [get, set]
 Returns or sets the ptype More...
 
unsafe NXOpen.Direction Vector1 [get, set]
 Returns or sets the vector1 More...
 
unsafe NXOpen.Direction Vector2 [get, set]
 Returns or sets the vector2 More...
 
- Properties inherited from NXOpen.MeasureBuilder
unsafe
NXOpen.MeasureBuilder.AnnotationType 
AnnotationMode [get, set]
 Returns or sets the annotation mode More...
 
unsafe bool InfoWindow [get, set]
 Returns or sets the info window More...
 
unsafe
NXOpen.MeasureBuilder.RequirementType 
RequirementMode [get, set]
 Returns or sets the requirement mode More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.MeasureAngleBuilder

To create a new instance of this class, use NXOpen.MeasureManager.CreateMeasureAngleBuilder

Created in NX5.0.0

Member Enumeration Documentation

Represents the angle type.

Enumerator
ThreePoints 
TwoObjects 
ScreenPoints 

Represents the object type.

Enumerator
Object 
Feature 
Vector 

Represents the orientation type

Enumerator
InnerAngle 
OuterAngle 

Represents the projection type.

Enumerator
Angle3d 
AngleXy 
TrueAngle 

Property Documentation

unsafe NXOpen.Point NXOpen.MeasureAngleBuilder.BaseEnd
getset

Returns or sets the end point

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.MeasureAngleBuilder.BasePoint
getset

Returns or sets the base point

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectDisplayableObject NXOpen.MeasureAngleBuilder.Feature1
get

Returns the feature1

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.MeasureAngleBuilder.Feature2
get

Returns the feature2

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.MeasureAngleBuilder.IsExact
getset

Returns or sets the exact flag

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectDisplayableObject NXOpen.MeasureAngleBuilder.Object1
get

Returns the object1

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.MeasureAngleBuilder.Object2
get

Returns the object2

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.MeasureAngleBuilder.ObjectType NXOpen.MeasureAngleBuilder.Objtype1
getset

Returns or sets the otype1

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.MeasureAngleBuilder.ObjectType NXOpen.MeasureAngleBuilder.Objtype2
getset

Returns or sets the otype2

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.MeasureAngleBuilder.OrientationType NXOpen.MeasureAngleBuilder.Orientation
getset

Returns or sets the orientation

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.MeasureAngleBuilder.ProtractorEnd
getset

Returns or sets the protractor end point

Created in NX5.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.MeasureAngleBuilder.ProjectionType NXOpen.MeasureAngleBuilder.Ptype
getset

Returns or sets the ptype

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.MeasureAngleBuilder.Vector1
getset

Returns or sets the vector1

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.MeasureAngleBuilder.Vector2
getset

Returns or sets the vector2

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.